Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JRootPane.RootLayout

    java.lang.Object
      |
      +--javax.swing.JRootPane.RootLayout

protected class JRootPane.RootLayout
extends java.lang.Object
implements java.awt.LayoutManager2, java.io.Serializable

A custom layout manager that is responsible for the layout of layeredPane, glassPane, and menuBar.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`protected` | `JRootPane.RootLayout()`

Method Summary
`void` | `addLayoutComponent(java.awt.Component comp, java.lang.Object constraints)`
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`float` | `getLayoutAlignmentX(java.awt.Container target)`
`float` | `getLayoutAlignmentY(java.awt.Container target)`
`void` | `invalidateLayout(java.awt.Container target)`
`void` | `layoutContainer(java.awt.Container parent)` Instructs the layout manager to perform the layout for the specified container.
`java.awt.Dimension` | `maximumLayoutSize(java.awt.Container target)` Returns the maximum amount of space the layout can use.
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)` Returns the minimum amount of space the layout needs.
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)` Returns the amount of space the layout would like to have.
`void` | `removeLayoutComponent(java.awt.Component comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRootPane.RootLayout

    protected JRootPane.RootLayout()

Method Detail

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Returns the amount of space the layout would like to have.
  Parameters:
    `the` - Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's preferred size

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Returns the minimum amount of space the layout needs.
  Parameters:
    `the` - Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's minimum size

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container target)

  Returns the maximum amount of space the layout can use.
  Specified by:
    maximumLayoutSize in interface java.awt.LayoutManager2
  Parameters:
    `the` - Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's maximum size

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Instructs the layout manager to perform the layout for the specified container.
  Parameters:
    `the` - Container for which this layout manager is being used

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object constraints)

  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager2

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Specified by:
    getLayoutAlignmentX in interface java.awt.LayoutManager2

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Specified by:
    getLayoutAlignmentY in interface java.awt.LayoutManager2

### invalidateLayout

    public void invalidateLayout(java.awt.Container target)

  Specified by:
    invalidateLayout in interface java.awt.LayoutManager2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.